# Set global options
data_dir: "/var/lib/vector"

# Vector's API (disabled by default)
# Enable and try it out with the `vector top` command
# NOTE: this is _enabled_ for helm chart deployments, see: https://github.com/vectordotdev/helm-charts/blob/develop/charts/vector/examples/datadog-values.yaml#L78-L81
api:
  enabled: true
  address: "127.0.0.1:8687"

sources:
  from_ampq:
    type: amqp
    connection_string: amqp://rmuser:${RABBITMQ_PASS}@${RABBITMQ_HOST}:5672/%2f?timeout=10
    queue: logs
    decoding:
      codec: json

transforms:
  transform_message:
    type: remap
    inputs:
      - from_ampq
    source: >-
      if (exists(.app)) {
        . = .app
      }

      log(., level:"info")

sinks:
  to_stdout:
    type: console
    inputs:
      - transform_message
    encoding: 
      codec: json
      json:
        pretty: true
  to_signoz:
    type: http
    inputs:
      - transform_message
    uri: http://localhost:8082
    method: post
    encoding:
      codec: json
    request:
      headers:
        Content-Type: application/json
      concurrency: 10
      retry_attempts: 3
      retry_backoff_secs: 3
